Create ExportDestination
Create a new Export Destination to use for your Data Export Schedules or Ad-Hoc Data Exports.
Currently, two options for setting up Data Export Destinations are available:
- S3 buckets on your AWS account.
- Buckets in your Google Cloud Storage account.
Request and Response schema:
- Use the selector under the
destinationTypeparameter to expose the relevant request and response schema for the type of Destination.
Request and Response samples:
- Use the Example selector to show the relevant request and response samples for the type of Destination.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Body
- ExportDestinationS3Request
- ExportDestinationGoogleCloudStorageRequest
The name of the Export Destination.
1 - 200The code of the Export Destination.
1 - 80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$Name of the S3 bucket for the Export Destination.
3 - 63To enable m3ter to upload a Data Exports to your S3 bucket, the service has to assume an IAM role with PutObject permission for the specified bucketName. Create a suitable IAM role in your AWS account and enter ARN:
Formatting Constraints:
- The IAM role ARN must begin with "arn:aws:iam".
- The general format required is: "arn:aws:iam:::role/". For example: "arn:aws:iam::922609978421:role/IAMRole636".
- If the
iamRoleArnused doesn't comply with this format, then an error message will be returned.
More Details: For more details and examples of the Permission and Trust Policies you can use to create the required IAM Role ARN, see Creating Data Export Destinations in our main User documentation.
1^arn:aws:iam::\d+:role/.*$The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
S3, GCS Location in specified S3 bucket for the Export Destination. If you omit a prefix, then the root of the bucket will be used.
Response
Returns the created Export Destination.
- ExportDestinationS3Response
- ExportDestinationGoogleCloudStorageResponse
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The name of the data Export Destination.
The code of the data Export Destination.
S3, GCS The DateTime when the Export Destination was created.
The DateTime when the Export Destination was last modified.
The id of the user who created the Export Destination.
The id of the user who last modified the Export Destination.
Name of the S3 bucket for the Export Destination.
Location in specified S3 bucket for the Export Destination. If no prefix is specified, then the root of the bucket is used.
The specified IAM role ARN with PutObject permission for the specified bucketName, which allows the service to upload Data Exports to your S3 bucket.